- # this is how we check if cookies are enabled without
- # relying on javascript. the login form should always
- # try to set this flag in the session. if it is not set
- # in the login post, then we know cookies are not enabled
- session[:cookies_are_enabled] = true

.col-sm-6.mx-auto.mt-4
  = form_with(url: authenticated_app.session_path, method: 'post') do
    = ""
    .form-floating.mb-2
      = text_field_tag('login', params[:login], class: 'form-control', autofocus: true, placeholder: ' ')
      = label_tag('login', t(:username_or_email))
    .form-floating
      = password_field_tag('password', params[:password], class: 'form-control', placeholder: ' ')
      = label_tag('password', t(:password))
    .p.btn-toolbar
      = button_tag(type: 'submit', class:'btn btn-success') do
        %i.fa.fa-fw.fa-lock
        = t(:log_in)

  .mt-3.text-center.small
    = link_to t(:forgot_your_password), authenticated_app.reset_with_code_path
